# RPGツクールMV　Electron対応プラグイン
RPGツクールMVのElectron対応プラグインです。  
導入することで、RPGツクールMVのゲームをElectronでも起動できるようになります。

あくまでゲームエンジンでnw.jsに依存している箇所を補うだけなので、従来のツクールのテストプレイではnw.jsを利用して起動します。  
Electronで実行する場合、実際にNode.jsで環境を作ってコマンドラインから起動する必要がある点に注意して下さい。

## 使い方
Electron.jsを導入対象プロジェクトのjs/pluginsフォルダへコピーし、プラグインを有効化してください。  
あとはindex.htmlの格納されている場所へindex.jsをコピーします。

package.jsonのある階層でElectronを実行すると、ゲームが起動します。  
sampleフォルダ以下に実際に導入する場合のディレクトリ構造(index.html、jsフォルダのみ)を例示していますので、動かしたいプロジェクトのフォルダをコピーすることで実行することができます。

## package.jsonの設定について
package.jsonにwindowセクションを追加することで、以下の項目を設定することができます。

* width:ゲームウィンドウの初期高さ(初期値:816)。
* height:ゲームウィンドウの初期幅(初期値:624)。
* icon:ゲームウィンドウで表示するアイコンの指定(初期値:www/icon/icon.png)。

index.jsでフォルダ上位にあるpackage.jsonを参照しているため、パスを変えるとエラーになります。  
配置を変更する場合はindex.jsのrequireで参照しているパスを書き換えるなどしてください。

## ライセンス
The MIT License (MIT)
